<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:focusable="true"
    android:focusableInTouchMode="true"
    android:orientation="vertical">


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="2dp">


                <Button
                    android:id="@+id/btnPause"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="暂停刷新" />

                <Button
                    android:id="@+id/btnContinue"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="继续刷新" />

                <Button
                    android:id="@+id/btnClear"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="清除log" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="2dp">

                <Button
                    android:id="@+id/btnWakeup"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="唤醒" />

                <Button
                    android:id="@+id/btnTest"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="测量" />

                <Button
                    android:id="@+id/btnStopTest"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="停止测量" />

                <Button
                    android:id="@+id/btnReset"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="重置" />


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="2dp">

                <EditText
                    android:id="@+id/etEmissivity"
                    android:layout_width="100dp"
                    android:layout_height="wrap_content"
                    android:digits="0123456789."
                    android:hint="发射率(0.10~1.00)"
                    android:textSize="12dp" />

                <Button
                    android:id="@+id/btnEmissivity"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="发射率" />

                <EditText
                    android:id="@+id/etAutoShutdown"
                    android:layout_width="100dp"
                    android:layout_height="wrap_content"
                    android:digits="0123456789"
                    android:hint="自动关机(S)"
                    android:textSize="12dp" />

                <Button
                    android:id="@+id/btnAutoShutdown"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="自动关机" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="2dp">

                <EditText
                    android:id="@+id/etHighTemp"
                    android:layout_width="100dp"
                    android:layout_height="wrap_content"
                    android:hint="高温(℃)"
                    android:textSize="12dp" />

                <EditText
                    android:id="@+id/etLowTemp"
                    android:layout_width="100dp"
                    android:layout_height="wrap_content"
                    android:hint="低温(℃)"
                    android:textSize="12dp" />

                <Button
                    android:id="@+id/btnHighOrLowTemp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="发送高低温" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="2dp">

                <Button
                    android:id="@+id/btnGetDeviceStatus"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="获取设备信息" />
                <Button
                    android:id="@+id/btnGetDeviceParameter"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="获取设备参数" />

            </LinearLayout>
        </LinearLayout>
    </ScrollView>


    <ListView
        android:id="@+id/listview"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="2"
        android:padding="10dp"
        android:stackFromBottom="true"
        android:transcriptMode="alwaysScroll">


    </ListView>

</LinearLayout>